;;; ewb-load.el --- Load ewb-mode for EWB guishell.
;;
;; Copyright (C) 1999 ASCII Corporation
;;
;; This file is part of EWB.
;;
;;; Code:

(setq Info-directory-list
      (append Info-directory-list '("/usr/share/ewb/3.3/xemacs/info/")))

(setq load-path
      (cons
       (expand-file-name "/usr/share/ewb/3.3/xemacs/lisp")
       load-path))

(require 'setjapanese)
(require 'novice-menubar)
(require 'ewb-mode)

;; Ok, Here I'll try to use balloon-help
;(require 'balloon-help)
;(balloon-help-mode 1)

(setq auto-mode-alist
      (cons
       '("\\.[eE][wW][bB]$" . ewb-mode)
       auto-mode-alist)
      auto-mode-alist
      (cons
       '("\\.[tT][xX][tT]$" . ewb-mode)
       auto-mode-alist)
      auto-mode-alist
      (cons
       '("\\.[tT][bB][lL]$" . ewb-mode)
       auto-mode-alist)
      auto-mode-alist
      (cons
       '("\\.[dD][oO][cC]$" . ewb-mode)
       auto-mode-alist))

(gnuserv-start)

(if (file-exists-p ewb-mode-init-file-name)
    (load-file ewb-mode-init-file-name))

;;; Local Variables:
;;; mode: outline-minor
;;; End:

;;; ewb-load.el ends here.
